0.220 2020-04-06
----------------


MAME Testers Bugs Fixed
-----------------------
- 00954: [Graphics] (tecmo16.cpp) fstarfrc: Garbage scrolls past during into sequence. (N. Gilbert)
- 02343: [Crash/Freeze] (segac2.cpp) ribbit: Game freezes on later levels. (MetalliC)
- 03708: [Graphics] (deco32.cpp) nslasher, nslasherj, nslashers: Alpha blending for message windows is missing. (cam900)
- 05331: [DIP/Input] (nemesis.cpp) konamigt, rf2: Steering controls should use an incremental encoder. (mmarino4)
- 05554: [DIP/Input] (nbmj8991.cpp) hyouban: DIP switch descriptions are missing. (kamilz)
- 06913: [DIP/Input] (esripsys.cpp) turbosub: Analog inputs are inverted. (MASH)
- 07038: [Sound] (segahang.cpp) sharrier: High score entry music continues to play after completing input. (cmonkey)
- 07518: [Sound] (spiders.cpp) spiders: Web and spiders moving sounds don't match recording. (Jim Hernandez)
- 07581: [Gameplay] (segahang.cpp) sharrier, sharrier1: Difficulty increases constantly due to protection. (Adrian Smethurst)
- 07582: [Crash/Freeze] (megadriv.cpp) megadriv [sonic3p1]: Fatal error on starting game. (Tafoid)
- 07592: [Plugins] (neogeo.cpp) viewpoin: hiscore: Error parsing hiscore.dat entry. (Carl)


New working machines
--------------------
Advance Bright Ltd Double Players Mini Joystick 80-in-1 (MJ8500, ABL TV Game) [Sean Riddle, David Haywood]
Game & Watch: Crab Grab [algestam, Ryan Holtz]
OPlayer Mobile Game Console (MGS03-white) (Family Sport 100-in-1) [Sean Riddle, David Haywood]
Orb Gaming Retro 'Mini TV' Console 300-in-1 [TeamEurope, David Haywood]
Performance Designed Products (licensed by Taito / Data East) VG Pocket Caplet Fast Acting 50-in-1
  [Sean Riddle, David Haywood, Ryan Holtz]
SciSys President Chess [hap, Berger]
Solite Spirits [ShouTime, coolmod, The Dumping Union]
Soreike Kokology (Rev A) [Guru]
Systemhuset / Loproc Conchess Plymate (Amsterdam, T8) [hap, anonymous]
Systemhuset / Loproc Conchess Plymate Victoria [hap, anonymous]
Super Game 36-in-1 (TimeTop SuperGame) (PAL) [JP_Ronny, TeamEurope]
Technigame Super 4-in-1 Sports (PAL) [Sean Riddle, David Haywood]
Who Wants to Be a Millionaire? (Character Options, Plug and Play, UK) [Sean Riddle, David Haywood]


New working clones
------------------
Advance Bright Ltd / V-Tac Technology Co Ltd. Decathlon (set 2, SM570, ABL TV Game) [Sean Riddle, David Haywood]
Blue Shark (Model Racing bootleg, set 2) [Asayuki, pacman70]
Borench (Japan) [Apocalypse]
Burning Fight (prototype, newer, V07) [Brian Hargrove]
Cirqus Voltaire (D.52 prototype) [Matt Morin]
Cobra-Command (World/US) [caius, The Dumping Union]
Crazy Kong (bootleg on Moon Cresta hardware, set 2) [ColinD, hammy, Boge]
Dribbling (set 2) [f205v]
Fidelity Electronics Elite Avant Garde 2100 (set 2) [Berger]
Galaxian (Rene Pierre bootleg) [Michel BLANCO]
Jungler (Olympia) [f205v]
Miss Puzzle (Nudes, less explicit) [Brian Troha, The Dumping Union]
New Cherry '96 (v3.0, A PCB) [Ioannis Bampoulas]
New Cherry '96 Special Edition (v3.51, D PCB) [Ioannis Bampoulas]
New Cherry '96 Special Edition (v3.61, DK PCB) [Ioannis Bampoulas]
New Fruit Bonus '96 (v3.1, A PCB, set 2) [Ioannis Bampoulas]
New Fruit Bonus '96 (v97-3.1c, B PCB) [Ioannis Bampoulas]
New Fruit Bonus '96 Special Edition (v3.40, D PCB) [Ioannis Bampoulas]
New Fruit Bonus '96 Special Edition (v3.53, D PCB) [Ioannis Bampoulas]
New Fruit Bonus '96 Special Edition (v97-3.3c, D PCB) [Ioannis Bampoulas]
The Outfoxies (Korea?) [coolmod, The Dumping Union]
Pang! 3 (bootleg, set 2) [hammy, rtw, ekorz]
Penguin Adventure (bootleg of MSX version, not encrypted) [caius]
Scramble (Okapi bootleg) [hammy, Boge, ColinD]
Speed Ball (set 2) [Jorge Silva]
Tetris (bootleg set 4) [jordigahan]
Thunder Force AC (Japan, prototype, bootleg) [Marcio Miranda]
Undercover Cops - Alpha Renewal Version (US) [Brian Troha, The Dumping Union]


Machines promoted to working
----------------------------
Cambridge Microprocessor Systems CMS 6502 Development System [Nigel Barnes]
Green Beret (Irem) [Frank Palazzolo]
Linus Akesson Craft [Ryan Holtz]
Trivia Madness - Series A Question set [Dirk Best]


Clones promoted to working
--------------------------
Silicon Graphics Inc Indy (R5000, 150MHz) [Ryan Holtz]
Trivia Madness - Series B Question set [Dirk Best]


New machines marked as NOT_WORKING
----------------------------------
Advance Bright Ltd / Coleco / V-Tac Technology Co Ltd. Kick Boxing (BJ8888, ABL TV Game) [Sean Riddle, David Haywood]
Air Walkers [Guru]
Bandai Pac-Man Connect & Play (Feb 14 2012 10:46:23) [Sean Riddle, David Haywood]
Big Buck Hunter Pro (JAKKS Pacific TV Game) [Sean Riddle, David Haywood]
Black Rose Rapid Fire Grand Prix (Konami Endeavour, Queensland) [Dam0, Heihachi_73]
Decathlon / SSD Company LTD Domyos Step Concept (Domyos Interactive System) [Sean Riddle, 404_11]
Denver Game Console GMP-240C 150-in-1 [TeamEurope]
E-mu Systems Emulator II [DBWBP]
E-mu Systems Emulator Three Digital Sound Production System [DBWBP]
Elka Synthex [DBWBP]
Excalibur Electronics Ford Racing [Sean Riddle, David Haywood]
Excalibur Electronics Fox Sports 7 in 1 Sports Games Plug n' Play [Sean Riddle, David Haywood]
Giochi Preziosi Gormiti Game Arena (Spain) [Sean Riddle, ClawGrip]
Halsall / time4toys.com / Electronic Games Shoot n' Score [Sean Riddle, David Haywood]
Imperial (1P1952IZ) Blue Moon [Pacmac94]
Imperial (1P19S1IZ) Sheer Magic [Pacmac94]
Imperial (2P1929IZ) Castaway Stampede [Pacmac94]
Imperial (3P1940IZ) Cashline D Bucks [Pacmac94]
JAKKS Pacific Inc / Code Mystics TV Touch Games: SpongeBob SquarePants Jellyfish Dodge [Sean Riddle, David Haywood]
Kawai Musical Instrument Manufacturing K1 Digital Multi-Dimensional Synthesizer [DBWBP]
Kawai Musical Instrument Manufacturing K1rII Digital Multi-Dimensional Synthesizer Module [DBWBP]
Kawai Musical Instrument Manufacturing K4 16-bit Digital Synthesizer [DBWBP]
Kawai Musical Instrument Manufacturing K5 Digital Multi-Dimensional Synthesizer [DBWBP]
Kawai Musical Instrument Manufacturing R-100 Digital Drum Machine [DBWBP]
Korg 707 Performing Synthesizer [DBWBP]
Korg DS-8 Digital Synthesizer [DBWBP]
Korg DSS-1 Digital Sampling Synthesizer [DBWBP]
Korg DW-8000 Programmable Digital Waveform Synthesizer [DBWBP]
Korg M1 Music Workstation (Rev 19) [DBWBP]
Korg Poly-61 Programmable Polyphonic Synthesizer [DBWBP]
Korg Poly-800 Programmable Polyphonic Synthesizer [DBWBP]
Korg Poly-800 Programmable Polyphonic Synthesizer (MIDI Dump Kit) [DBWBP]
Korg Poly-800II Programmable Polyphonic Synthesizer [DBWBP]
Korg Polysix Programmable Polyphonic Synthesizer [DBWBP]
Korg Z3 Guitar Synthesizer [DBWBP]
Lexibook Retro TV Game Console - Frozen - 300 Games [TeamEurope]
Nintendo Computer Mah-jong Yakuman [Ryan Holtz, Sean Riddle, Yasuhiro Ogawa]
Olivetti L1 M44 [Alexander Kholodov]
Phineas and Ferb: Best Game Ever! (JAKKS Pacific TV Motion Game) [Sean Riddle, David Haywood]
Play Vision Haluatko miljonaariksi? (Finland) [Sean Riddle, Santeri Saarimaa]
Power Rangers Force In Time (JAKKS Pacific TV Motion Game) [Sean Riddle, Kev (FBN)]
Professor Trivia (set 1) [Slowcade]
Radica Digi Makeover (Girl Tech) [Sean Riddle, ClawGrip]
Roland Alpha Juno-1 (JU-1) Programmable Polyphonic Synthesizer [DBWBP]
Roland Alpha Juno-2 (JU-2) Programmable Polyphonic Synthesizer [DBWBP]
Roland D-10 Multi Timbral Linear Synthesizer [DBWBP]
Roland GR-700 Guitar Synthesizer [DBWBP]
Roland Juno-106 Programmable Polyphonic Synthesizer [DBWBP]
Roland Juno-6 (JU-6) Polyphonic Synthesizer [DBWBP]
Roland JX-10 Super JX Polyphonic Synthesizer [DBWBP]
Roland JX-3P Programmable Preset Polyphonic Synthesizer [DBWBP]
Roland JX-8P Polyphonic Synthesizer (Ver. 3.x) [DBWBP]
Roland MKS-30 Planet-S MIDI Sound Module [DBWBP]
Roland MKS-50 Synthesizer Module [DBWBP]
Roland R-8 Human Rhythm Composer (v2.02) [DBWBP]
Roland R-8 Mk II Human Rhythm Composer (v1.0.3) [DBWBP]
Roland TR-707 Rhythm Composer [DBWBP]
Roland TR-727 Rhythm Composer [DBWBP]
Snowball War - WakuWaku Yukigassen [rtw, SpinalFeyd]
Spider-Man Web Master (JAKKS Pacific TV Motion Game) [Sean Riddle, David Haywood]
Tiger Electronics Lazer Tag Video Game Module [Sean Riddle, David Haywood]
Tinker Bell and the Lost Treasure (JAKKS Pacific TV Motion Game) [Sean Riddle, David Haywood]
Triple Header Sports (JAKKS Pacific TV Motion Game) [Sean Riddle, David Haywood]
TV Fitness Center (Lexibook) [TeamEurope]
Win, Lose or Draw (Senario) [Sean Riddle, David Haywood]


New clones marked as NOT_WORKING
--------------------------------
Choy Sun Doa - Jackpot Carnival (20156611, Queensland) [Dam0, Heihachi_73]
Fisher-Price Fun 2 Learn Smart Fit Park (UK) [Sean Riddle, David Haywood]
InVision Interactive M1 Plus+1 Music Workstation [DBWBP]
JAKKS Pacific Inc / Digital Eclipse Spider-Man (JAKKS Pacific TV Game) (older hardware, set 2) [Sean Riddle]
Kawai Musical Instrument Manufacturing K1m Digital Multi-Dimensional Synthesizer Module [DBWBP]
Kawai Musical Instrument Manufacturing K1r Digital Multi-Dimensional Synthesizer Module [DBWBP]
Kawai Musical Instrument Manufacturing K4r 16-bit Digital Synthesizer Module [DBWBP]
Kawai Musical Instrument Manufacturing K5m Digital Multi-Dimensional Synthesizer Module [DBWBP]
Korg / Musitronics DW-8000-EX Programmable Digital Waveform Synthesizer [DBWBP]
Korg / Sound Logic DSS-1 Digital Sampling Synthesizer (Memory/SCSI Retrofit) [DBWBP]
Korg EX-8000 Programmable Polyphonic Synthe Module [DBWBP]
Korg M1 EX Music Workstation (v1.29) [DBWBP]
Korg M1R EX Music Workstation (v1.12) [DBWBP]
Korg M1R Music Workstation (v1.06) [DBWBP]
Professor Trivia (set 2) [Slowcade]
Red Baron - Jackpot Carnival (10160911, Queensland) [Dam0, Heihachi_73]
Roland JX-8P Polyphonic Synthesizer (Ver. 2.x) [DBWBP]
Roland MKS-70 Super JX Polyphonic Synthesizer [DBWBP]
Roland R-8M Total Percussion Sound Module (v1.04) [DBWBP]
Spider-Man v1.02 (English,French) [PinMAME]
VTech MobiGo (Spain) [Sean Riddle, ClawGrip]


New working software list additions
-----------------------------------
apple2_cass: Puck Man, Yonin Mahjong [Hubz, FakeShemp]
apple2_flop_clcracked:
  Cyborg (Version 2) (cleanly cracked), Money (Version 3.1.6) (cleanly cracked), Telling Time (Version 3.2.0) (cleanly cracked)
  [4am, Firehawke]
  Carmen's North Dakota Almanac Database (version 1.0) (cleanly cracked),
  Governors and First Ladies of North Dakota Database (Version 1.0) (cleanly cracked),
  North Dakota Agriculture Database (Version 1.0) (cleanly cracked), Where in North Dakota is Carmen Sandiego? (cleanly cracked)
  [Frank Cifaldi, 4am, Firehawke]
apple2_flop_orig:
  The Bard's Tale II: The Destiny Knight, The Brain Game, Countdown to Shutdown, Crosscheck, Crosscountry USA,
  The Curse of Crowley Manor, The Elysian Fields and Other Greek Myths, John Elway's Quarterback, Kaves of Karkhan,
  Murder on the Mississippi, Perry Mason: The Case of the Mandarin Murder, Rescue on Fractalus, Triad (Version 1.0),
  Typing Tutor III with Letter Invaders, Wizplus [4am, Firehawke]
  Carmen's North Dakota Almanac Database (version 1.0), Governors and First Ladies of North Dakota Database (Version 1.0),
  Minerals of North Dakota (Version 1.0), North Dakota Agriculture Database (Version 1.0), North Dakota Cities (Version 1.6),
  North Dakota Cities with Population 500 and Above (Version 1.0), North Dakota Cities with Population Under 500 (Version 1.0),
  North Dakota Counties (Version 1.0), North Dakota Explorers (Version 1.0), North Dakota Indian Tribes (Version 1.0),
  North Dakota Parks and Historical Sites (Version 1.0), North Dakota Plants (Version 1.0), North Dakota Pride (Version 1.0),
  North Dakota Symbols (Version 1.0), North Dakota U.S. Senators and Representatives (Version 1.0),
  North Dakota Wildlife (Version 1.0), Notable People of North Dakota (Version 1.0),
  Where in North Dakota is Carmen Sandiego (Version 0.98 beta), Where in North Dakota is Carmen Sandiego (Version 1.0 final beta),
  Where in North Dakota is Carmen Sandiego?  [Frank Cifaldi, 4am, Firehawke]
compis:
  MA2 info (skollicens), Skriv latt, skriv ratt (version 7532) [David Karlstrom, FakeShemp]
  ADB-lon (version 7482), Distributionskunskap (version 8014), Lakemedelsrakning (version 7234), Procentrakning (version 7334),
  Rakna latt, rakna ratt (version 6175) [FakeShemp]
conchess_plymate: Conchess L16 [hap, anonymous]
conchess_standard: Conchess L [anonymous]
fmtowns_cd:
  After Burner (v1.02), After Burner (v1.02, alt), Big Honour, Can Can Bunny Premiere, Debut Shimasu... - Nakagawa Yuuko,
  FM Towns World, Free Software Collection Marty 1, Gokko Vol. 02 - School Gal's, High C Compiler Multimedia Kit v1.7 L12,
  Hyper Channel - Towns TV, Kanade V1.1L10, Kanji no Ehon, Katakana no Ehon, Kyouiku & FM Towns Vol. 3, NHK Eigo de Asobo Vol. 1,
  NHK Eigo de Asobo Vol. 2, Pegasus (Rev A), SimCity (1990-03-05), TownsPAINT V1.1 L10 [redump.org, r09]
ibm5150:
  Dyna Blaster, Indiana Jones and the Last Crusade - The Graphic Adventure, Jack Nicklaus' Unlimited Golf & Course Design,
  Martian Memorandum, The Secret of Monkey Island (3.5", EGA version), The Secret of Monkey Island (5.25", EGA version),
  Test Drive III - The Passion [ArcadeShadow]
  Baal, Conflict, D/Generation, Fiendish Freddy's Big Top o' Fun, Go Simulator, Menace (3.5"), Moonwalker, Power Drift
  [Flyers80, FakeShemp]
  Crystal Caves (1.0) [Justin Kerk]
ibm5170:
  Alone in the Dark 2, Another World, Beneath a Steel Sky (France), Flashback, The Humans (5.25" HD), The Lost Vikings,
  Lotus - The Ultimate Challenge, Mortal Kombat, Pinball Fantasies [ArcadeShadow]
  CD-ROM God Boot Disk Version 5.5 BETA2, CD-ROM/DVD-ROM drive IDE/ATAPI interface V2.2,
  MS-DOS CD-ROM Extensions With Device Driver - Installation Disk Ver 1.25 [Justin Kerk]
lynx: Yastuna Vol.1 - The Alchemy of Cubes, Yastuna Vol.2 - The Space Incident [Fadest, Alexis B.]
mc1000_cass: Aventura, Circulos, Compcara, Controle de Despesas, Explosao, Modvideo, Teste de Color Artifacting [Robbbert]
neogeo: Burning Fight (prototype, newer, V07) [Brian Hargrove]
vgmplay:
  Batman - The Video Game (Nintendo Game Boy), Dig Dug II (Sharp X68000), Dragon Buster (Fujitsu FM77AV),
  Final Fantasy Legend III (Nintendo Game Boy), Konami's Boxing (MSX, PSG), Konami's Boxing (MSX, SCC-I), Konami's Tennis (MSX),
  Lemmings (Arcade), Libble Rabble (Sharp X68000), Pippols (MSX, PSG), Pippols (MSX, SCC-I), Princess Maker (MSX2), Qbert (MSX),
  Shantae (Nintendo Game Boy Color), Snatcher (MSX2), The Tower of Gazzel (MSX2), The Treasure of Usas (MSX2),
  Video Hustler (MSX, PSG), Video Hustler (MSX, SCC-I), Xak II (MSX2) [vgmrips.net, Tafoid]
vsmile_cart:
  The Batman - Panique a Gotham City (France), Disney Aladdin - Les fabuleuses aventures d'Aladdin (France),
  Disney/Pixar Le Monde de Nemo - Nemo a la decouverte de l'ocean (France),
  Disney/Pixar Toy Story 2 - Buzz a la Rescousse! (France), Spider-Man & ses amis - Le Defi Du Docteur Ock (France),
  V.Smile Football Challenge (France) [DisizDream]


Software list items promoted to working
---------------------------------------
apfimag_cass: Escape!!!, Head-Hunter, SY-50 IM-1 Diagnostics, Super Frog, Theft at the Art Museum, Treasure Hunt [Robbbert]
fmtowns_cd: Jangou 4 [r09]


New NOT_WORKING software list additions
---------------------------------------
altos8600: Xenix v2.2b [Robbbert]
amigaocs_flop: 16 Bit Komix (Euro) [Mikerochip, FakeShemp]
bdesignm_design_cart:
  From TV Animation Slam Dunk (design), Rockman X3 Buster Battle (design), Weekly Shonen Jump Special (design)
  [RetroRomper, TeamEurope]
bdesignm_game_cart: Dungeon Diver (game), Rockman X3 Buster Battle (game) [RetroRomper, TeamEurope]
fmtowns_cd:
  Pro Yakyuu Family Stadium - 90-nendo Pennant Race-ban, Shamhat - The Holy Circlet, Suzaku, Towns VNet V1.1 L20 [redump.org, r09]
ibm5170:
  The Humans (3.5" DD) [ArcadeShadow]
  ASUS DVD / CD-ROM Drive Installation Disk Rev 1.5, CD-ROM Device Driver Version 2.00 [Justin Kerk]
mobigo_cart:
  Dino-Zug - Erforsche die Welt (Germany), Disney Minnie (Germany), Doc McStuffins - Spielzeugarztin (Germany),
  Hello Kitty - Hello Kitty feiert Geburtstag! (Germany), Jake und die Nimmerland Piraten (Germany),
  Marvel Super Hero Squad - Super Sportler (Germany), Planes (Germany), Sofia die Erste (Germany),
  Spongebob Schwammkopf - Rette das Geheimrezept (Germany), Thomas & seine Freunde - Wirklich Nuetzliche Loks (Germany),
  Tinkerbell - Tal der Feen (Germany), Ultimate Spider-Man (Germany) [TeamEurope]
mz2200_cass:
  Bomber Man, Cannon Ball, Help!, Hitsuja~i!, Hiyoko Fighter, MJ-05, Power Fail, The Spider, Vegetable Crash
  [Gaming Alexandria, FakeShemp]
pasopia_cass:
  The Golf, Part-Timer no Kyuuyo Keisan, Pasopia Derby, Pasopia Game Highlight, Pasopia Game-shuu, Sample Program PA7010-you
  [Gaming Alexandria, FakeShemp]
st_flop:
  1943 (Euro), Fantasy World Dizzy (Euro), Leviathan (Euro), Midwinter (Euro), Spidertronic (Euro, Smash 16), Striker (Euro),
  Track Suit Manager (Euro) [Mikerochip, FakeShemp]
vsmile_cart:
  Les aventures de imagniares d'Ernest et Bart (France), Les aventures du Petit Chaperon Rouge (France),
  Cranium - Le Parc D'Attractions (France), Disney - Les petits Einsteins - Le bal du soulier de verre (France),
  Disney La Maison De Mickey (France), Disney Manny et ses outils (France), Disney Mickey - Mickey a la Recherche De Pluto (France),
  Disney Princesses Cendrillon - Le reve enchante de Cendrillon (France, Rev. 105),
  Disney/Pixar Cars - Quatre Roues (France, Rev. 105), Disney/Pixar La-Haut (France, Rev. 005),
  Disney/Pixar Ratatouille - Les nouvelles recettes de Remy (France), Disney/Pixar Wall-E (France),
  Dora L'Exploratrice - Les aventures de Dora Apprentie Mecano (France, Rev. 105),
  DreamWorks Shrek Le Troisieme - L'aventure d'Arthur (France, Rev. 105),
  DreamWorks Shrek Le Troisieme - L'aventure d'Arthur (France), Kung Fu Panda - La Mission de Po (France),
  Marvel Spider-Man & ses amis - Missions secr tes (France, Rev. 105),
  Marvel Spider-Man & ses amis - Missions secretes (France, Rev. 305), Nickelodeon Go Diego! - A la rescousse des animaux! (France),
  Oui-Oui - Detective d'un Jour (France, Rev. 105), Scooby-Doo! - Panique a Funland (France, Rev. 105),
  V.Smile Clavier Tip Tap (France), V.Smile Defi Gym (France), V.Smile Mes Premiers Clics (France),
  V.Smile Studio De Dessin (France), Walt Disney Cendrillon - Le reve enchante de Cendrillon (France, Rev. 205) [DisizDream]
vsmileb_cart:
  Baby Einstein - Un monde de decouvertes (France), Un jour a la ferme (France), La Maison Des Animaux (France) [DisizDream]
vsmilem_cart:
  Disney Winnie L'ourson - La Chasse au miel de Winnie (France), Disney/Pixar Cars - Quatre Roues (France),
  Disney/Pixar La-Haut (France), Disney/Pixar Wall-E (France), DreamWorks Monstres contre Aliens (France),
  La fee Clochette (France), Le Monde de Nemo - Nemo a la decourverte de l'ocean (France),
  Nickelodeon Ni Hao Kai Lan - Joyeux Nouvel an chinois! (France), Oui-Oui - Detective d'un Jour (France),
  Scooby-Doo! - Panique a Funland (France), Walt Disney Cendrillon - Le reve enchante de Cendrillon (France) [DisizDream]


Source Changes
--------------
-segahang.cpp: Improved sharrier protection simulation. [Adrian Smethurst]

-Entirely replaced legacy Intel 8274, NEC uPD7201, Zilog SIO and Zilog DART serial controller emulation. [AJR]

-xerox820.cpp: Connected SIO modem control inputs and fixed SIO addressing. [AJR]
 * Also added default configuration for optional serial terminal on port B, and marked mk83 as a clone of bigboard.

-Added skeleton Am79C30A Digital Subscriber Controller device. [AJR]

-sound/ym2151.cpp: Added YM2164 "OPP" variant and emulated some known differences. [AJR]
 * Used by Yamaha FB-01 and SFG05 MSX cartridge.

-cpu/upd7810 updates: [AJR]
 * Implemented internal clock dividers.
 * Prevented non-maskable interrupts from being masked out.
 * Made changes to EI take effect after the following instruction.
 * Fixed interrupt flag being cleared incorrectly when another interrupt of the same priority is pending.
 * Added a crude start bit check to asynchronous serial mode.
 * Refresh PA/PB/PC/PF outputs on mode changes.
 * Fixed upd78k3 SFR identification in disassembly of MOV A,sfr and MOV sfr,A opcodes.

-Added new, thorough emulation of Signetics SCN2651, SCN2661 and SCN2641 Communication Interface chips. [AJR]
 * Replaced old MC2661 device with new device - fixes dual86.cpp and pcd.cpp Baud rate issues and wy100.cpp line ending issue.

-teleray10.cpp: Inverted polarity of DIP switches, and hacked CTS to always be active. [AJR]

-wangpc.cpp: Hooked up modem control lines - RS-232 test now passes with a loopback connector. [AJR]

-wicat.cpp: Removed some 68k interrupt conditions that were conflicting with each other. [AJR]

-fp1100.cpp: Improved synchronization for CPU communications using generic latch devices. [AJR]

-cpu/m6800/m6801.cpp updates: [AJR]
 * Fixed a bug that caused the emulation to lock up on WAI/SLP if a timed event had already occurred.
 * Fixed disassembly of SLP instruction for HD6301.
 * Added second timer output comparator and associated status register to HD6301X/HD6301Y.

-spdodgeb.cpp: Replaced protection simulation with emulation of the HD63701Y0 microcontroller. [AJR]

-cpu/ns32000: Improved disassembly. [AJR]
 * Recognize scaled index modes with W/D/Q factors.
 * Added some restrictions on addressing modes (mostly to avoid infinite recursion with scaled index specifiers).
 * Force operand size for some instructions (in particular, the first operand is always a byte for shift/rotate instructions).
 * Fixed some minor formatting glitches.
 * Changed integer literal prefixes to better align with National Semiconductor assembly code examples.
 * Cut immediate operands down to size.
 * Format displacements as signed numbers and abbreviate small ones.
 * Force decimal format for bit positions and shift counts.

-homedata.cpp: Slowed down main CPU to 2MHz for all games in driver (rated clock speed for MC68B09E). [AJR]

-tv912.cpp: Implemented protected, underline, invert and blink field attributes, and made cursor blinking more accurate. [AJR]

-cpu/tlcs90: Added TMP90C051 disassembler (only accessible through unidasm for now). [AJR]

-bus/isa: Added dump of Ultrastor Ultra 12F/32 ISA card. [Al Kossow, Bitsavers]

-bus/nubus: Added preliminary Sigma Designs LaserView monochrome NuBus video card support. [Al Kossow, R. Belmont]

-segas16b.cpp: Improved Heavyweight Champ input handling, and added Y handle limits. [Angelo Salese]
 * Allows player to change stance, block and attack directions.

-legionna.cpp: Added DIP switch locations for Seibu Cup Soccer, fixed visible area, and improved documentation. [Angelo Salese]

-holeland.cpp: Added DIP switch locations and raw screen timing parameters. [Angelo Salese]

-taito_z.cpp: Fix enforceja analog inputs, and added raw screen timing parameters for all games. [Angelo Salese]

-boogwing.cpp: Fixed shadow effect on first boss. [Angelo Salese]

-bus/isa: Added Microlog Baby Blue II CPU Plus card. [Barry Rodewald]

-deco32.cpp updates: [cam900]
 * Improved Night Slashers blending/priorities, palette effects and background color.
 * Improved Tattoo Assassins blending behavior.
 * Hooked up palette bank selection.

-taito_f2.cpp: Fixed sprite/tilemap priorities. [cam900]

-gstream.cpp: Added notes describing sprite limits. [cam900]

-video/gp9001.cpp: Implemented per-frame sprite limits. [cam900]

-sound/x1_010.cpp: Improved playback rate calculation, cleaned up code, and updated notes. [cam900]

-boogwing.cpp: Fixed palette effects and improved priorities when palette fading is in use. [cam900]

-video/deco16ic.cpp: Fixed 16-bit indexed mode drawing, implemented palette bank selection, and fixed 8-bit color base. [cam900]

-video/decospr.cpp: Exposed external priority/color mixing flags to callbacks. [cam900]

-xexex.cpp: Implemented alpha blend enable flag. [cam900]

-video/namco_c355spr.cpp: Cleaned up sprite drawing code and added support for 32-bit RGB bitmaps. [cam900]

-namcos23.cpp, gal3.cpp: Derive palette length from RAM size. [cam900]

-1945kiii.cpp: Implemented double buffered video RAM and sprite limits, and converted to raw screen parameters. [cam900]

-segahang.cpp: Hooked up sound CPU reset (fixes MT07038). [cmonkey, smarty, dj_yt]

-nlwav: Add sampled output format (takes point samples at regular intervals from log files). [Couriersud]

-williams.cpp: Use palette values calculated using netlist for mysticm, tshoot and inferno. [Couriersud]

-netlist: Added compile-time option to use linearized diode model when maximum dissipation is exceeded. [Couriersud]

-spg2xx_mysprtch.cpp, spg2xx_zone_32bit.cpp: Improved ROM banking. [David Haywood]

-m92.cpp: Added notes on Under Cover Cops - Alpha Renewal Version. [David Haywood, Alex Marshall]

-trvmadns.cpp driver re-write: [Dirk Best]
 * Hooked up inputs via AY8910, hooked up lamps, and added a simple layout with illuminated buttons.
 * Fixed banking.
 * Hooked up palette RAM and converted drawing to use a tilemap.
 * Hooked up 6845 CRT controller, and changed configuration to use raw screen timing parameters.
 * Added save state support.
 * Added PAL dump.

-drw80pkr.cpp: Hooked up 6845 CRT controller, and changed configuration to use raw screen timing parameters. [Dirk Best]

-summit.cpp updates: [Dirk Best]
 * Added a hand-made palette and hooked up color attribute.
 * Fixed memory map and hooked up scroll registers.
 * Mapped most remaining inputs, improved input labels, and hooked up coin counters.
 * Added a rudimentary layout showing the lamps and buttons.
 * Added a link to the patent describing the machine, and removed references to MC6845 and AY8910.

-bus/hp80_io: Added support for HP82939 serial I/O and HP82900 CP/M modules. [F.Ulivi]

-screen.cpp: Added a missing break in switch statement (GitHub #6372). [fasteddo]

-luaengine.cpp: Added support for saving and loading state to/from binary string buffers. [feos]

-cpu/sh: Removed unnecessary SuperH 3/4 timers restarts. [MetalliC]

-segac2.cpp: Fixed ribbit random jumps back to first round. [MetalliC]

-bus/ti99/peb: Added Myarc DDCC-1 and CorComp disk controller cards, and FORTi sound card. [Michael Zapf]

-sn76496: Fixed ready output read handler. [Michael Zapf]

-machine/wd_fdc.cpp: Added a MON output callback, and changed the spin-down delay to nine revolutions. [Michael Zapf]

-bus/ti99: Clear data multiplexer's stale latched value when no device responds to a bus access. [Michael Zapf]

-xavix2: Massively improved graphics emulation. [N. Gilbert]

-tecmo16: Improved fstarfrc video interrupts, fixing title screen scroll timing. [N. Gilbert, David Haywood, hap]

-elan_eu3a05.cpp: Added notes on elan_buzztime I/O. [N. Gilbert]

-spg2xx_skannerztv.cpp: Moved rad_sktv to its own source file and added notes. [N. Gilbert]

-bus/acorn/cms: Added IEEE-488 controller card. [Nigel Barnes]

-cms6502.cpp: Corrected M4 ROM ordering. [Nigel Barnes]

-bus/bbc/1mhzbus: Added Pull Down RAM, Colour Card 500 and PEDL Multiform Z80 devices. [Nigel Barnes]

-bus/bbc/1mhzbus: Added the RetroClinic DataCentre storage controller. [Nigel Barnes, RetroClinic]

-bus/electron/cart: Added Winchester slot to Solidisk EFS device. [Nigel Barnes]

-bus/bbc/internal: Improved Cumana 68008 Upgrade Board interrupt handling, and updated Winchester to use NSCSI_BUS. [Nigel Barnes]

-bus/bbc/userport: Added the Clwyd Technics Colour Palette and Micro User Chameleon devices. [Nigel Barnes]

-indy_indigo2.cpp: Hooked up EDLC Ethernet device, and implemented Ethernet DMA. [Patrick Mackinlay]

-Fixed potential debugger crashes in cheatlist and help commands. [quasiscroto]

-bus/coco: Added the CoCo PSG cartridge device. [Roberto Fernandez, Nigel Barnes, Ed Snider]

-iris3130.cpp: Added Storager 3030 ROM dumps. [Ryan Holtz, Bitsavers]

-machine/pxa255.cpp: Added more GPIO callbacks, improved member naming, and converted logging to use logmacro.h. [Ryan Holtz]

-zaurus.cpp: Split machine configuration by SoC type, enable real-time clock hack, and adjusted to correct clocks. [Ryan Holtz]

-cpu/avr8 udpates: [Ryan Holtz]
 * Hooked up OCR1A/OCR1B for Fast PWM mode 15.
 * Removed hacky get_elapsed_cycles accessor.
 * Improved save state support, re-formatted source and converted logging to use logmacro.h.

-bus/isa: Added skeleton Vectrix EX1280 video card. [Ryan Holtz, Bitsavers]

-bus/isa: Added support for mapping the linear frame buffer to S3 ViRGE (used by "Analog 801" demo). [Ryan Holtz]

-vgmplay.cpp: Added a visualizer. [Ryan Holtz, Justin Frankel]

-cpu/mips: Added basic R5000 support to the r4000 interpreter. [Ryan Holtz]

-cpu/unsp updates: [Ryan Holtz]
 * Added individual members for FR status flags.
 * Added Ext A6 support, and implemented Fraction on/off, SECBANK on/off, IRQNEST on/off, and move to/from FR.
 * Fixed shift instructions and cleaned up GOTO MR.
 * Respect interrupt enable flag.
 * Disabled DRC for the time being.

-frontend: Added an About menu option to display the contents of COPYING in order to be more license-compliant. [Ryan Holtz]

-bus/snes: Fixed SA1 type 1 character conversion, and added save state support. [Ryan Holtz]

-machine/i2cmem.cpp updates: [smf]
 * Latch upper address bits from device ID after receiving lower eight bits of the address.
 * Implemented software reset.
 * Stopped NACK from incorrectly pulling SDA low.
 * Removed redundant state from page write.
 * Added support for high address byte used by devices larger than 4KiB.

-xavix2.cpp: Changed port 0 to read SDA from I2C when reading the data register with the bit configured as an input [smf]
 * Previously it was incorrectly latched when changing the bit to input or when the SCL output was changed.

-xavix2.cpp updates: [smf, N. Gilbert]
 * Hooked up development menu inputs and I2C SDA to the CPU via an I/O port.
 * Updated PIO based on I/O test.
 * Hooked up a 24C64 EEPROM to the Domyos games.

-gigatron.cpp: Hooked up gamepad input and LED outputs. [Sterophonick]

-cpu/mcs96: Fixed jh/jnh branch condition. [ValleyBell]

-roland_cm32.cpp: Added preliminary Roland PCM sample playback. [ValleyBell]

-ms32.cpp: Verified that the background graphics ROM dump for gratiaa is correct. [Apocalypse]

-williams.cpp: Added explicit suffix to float literals to avoid MSVC warning C4305. [Belegdol]

-Allow Edit-and-Continue for Visual Studio debug builds, as internal compiler error has been fixed. [Belegdol]

-taito_z.cpp: Dumped missing bipolar PROMs and PALs for sci and clones. [Brian Troha, The Dumping Union]

-dec8.cpp: Added PCB locations to ROM labels for all Cobra-Command sets. [caius]

-itech32.cpp: Decapped and dumped ITBWL-3 and ITGFM-3 PIC microcontrollers. [Dr. Decapitator, Caps0ff]

-compis.xml: Replaced converted dumps with original files, and updated all documented dumps with a lot more information. [FakeShemp]

-apple2_flop_clcracked.xml, apple2_flop_clcracked.xml: Cleaned up comments, improving consistency and searchability. [Firehawke]

-taito_l.cpp: Added working brute-forced equivalent PAL images to Kuri Kinton. [Frank Palazzolo]

-kyugo.cpp: Added PCB layout and DIP switch locations. [Guru]

-toaplan1.cpp: Added DIP switch locations, and enabled all jumpers combinations. [Guru]

-20pacgal.cpp: Measured CPU clock frequency and updated comments. [Guru]

-aristmk6.cpp: Reorganized BIOS order and updated documentation. [Heihachi_73]

-midzeus.cpp: Confirmed Zeus 2 linking is IEEE 1394 using TSB12LV01A link layer controller and IBM21S851 transceiver. [Hydreigon]

-specpls3_flop.xml updates: [ICEknight]
 * Documented dual Spectrum/Amstrad releases.
 * Correctly split the two Navy Moves Spanish editions, and removed a duplicate with altered header.
 * Added known checksums and apparent sizes for missing IPF files.
 * Corrected metadata and cleaned up comments.

-goldstar.cpp: Identified one DIP switch for cmasterh, and corrected graphics ROMs for nfb96. [Ioannis Bampoulas]

-sidearms.cpp: Added a note about the star field ROM. [jordigahan]

-stv.cpp: Dumped v1.11 USA BIOS. [Kravex, Jorge Silva]

-skyarmy.cpp: Fix bit rot in ROM dump, making the game fully playable. [O. Galibert]

-snk.cpp: Dumped PROMs for sathena. [Porchy]

-fmtowns_cd.xml: Added requirements for software items that need more hardware than what an unexpanded Model 1 would provide. [r09]

-fmtowns_cd.xml: Switched to dumps with proper track indexes and offset correction. [redump.org, r09]
 * 4ddrivin, aitd, azure, beast, biblemas, blandia, daisenr3, deathbrd, drakkhen, dstall, elfish, fwc1, gundamhc, hanayor2, if2,
    mightmg3, opwolf, panicbom, pegasus, shangrl2, sodyssey, tatsuou, tim, titan, tss1110, yamikets, zokudm

-peoplepc.cpp: Added notes about keyboard layout and usage. [rfka01]

-pc.cpp: Added BIOS V2.2 to ncrpc4i. [rfka01]

-apfimag_cass.xml: Replaced seven bad dumps with good ones, promoting them to working. [Robbbert]

-neogeo.cpp: Added Universe BIOS 4.0 to AES and MVS machines. [Robbbert]

-neogeocd.cpp: Added Universe CDBIOS 3.3. [Robbbert]

-ssv.cpp: Dumped PLDs for ryorioh and sxyreac2. [twistedsymphony]

-vgmplay.xml: Updated three packs. [vgmrips.net, Tafoid]

-apple2gs.cpp: Fixed name of apple2_flop_misc software list. [xinyingho]
